#include <htc.h>			
#include "PIC_PROTON_LIB.h"	 
#define _XTAL_FREQ  19660800 
__CONFIG(0x2ff2);  // set HS Xtal etc
__CONFIG(0x3fff);

void DELAYSEC (void)
{
for (char i = 0; i < 10 ; i++) __delay_ms(100);
}

void main()
{
// init AD & Option reg
ANSEL = 0;
ANSELH = 0;
OPTION = 0xC0;
// end of init
__delay_ms(250);
__delay_ms(250); //wait for stable power supply
   
I2C_INIT(); // initialize I2C - LCD03 is a I2C LCD
    unsigned int i = 23456; //32767 is max
    unsigned char c = 247;
    
    while (1)
        {
    LCD03_BACKLIGHT_ON();
    LCD03_CLEAR_SCREEN();
    LCD03_SET_CURSOR(3);
	char String[20] = "Hello World";
	LCD_WRITE_STRING(String);
    DELAYSEC();
    LCD03_SET_CURSOR(23);
    LCD03_WRITE_INT(i);
    DELAYSEC();
    LCD03_SET_CURSOR(43);
    LCD03_WRITE_BYTE(c);
    DELAYSEC();
    LCD03_BACKLIGHT_OFF();
    DELAYSEC();
        }
}


  