#include <htc.h>			
#include "PIC_PROTON_LIB.h"	 
#define _XTAL_FREQ  19660800 
__CONFIG(0x2ff2);  // set HS Xtal etc
__CONFIG(0x3fff);

void main()
{
// init AD & Option reg
ANSEL = 0;
ANSELH = 0;
OPTION = 0xC0;
// end of init
__delay_ms(250);
__delay_ms(250); //wait for stable power supply
	
	I2C_INIT(); // initialize I2C - LCD03 is a I2C LCD
	UART_INIT_9600();
	
	LCD03_CLEAR_SCREEN();
	I2C_SEND_MESSAGE(0x10,11,20); // <>0 so leds now react to sound
									//20 = low sensitivity
	char String[20] = "PC V 200\0";
	UART_STRING_SEND( String ); // set volume to 200 (0=max - 255 = min)
	UART_CHAR_SEND(13); // CR

	char String[20] = "PC V 30\0";
	UART_STRING_SEND( String ); // For some reason this instruction needs to be given twice..;?
	UART_CHAR_SEND(13); // CR
	
	char String[20] = "PC F /A.MP3\0";
	UART_STRING_SEND( String );	 // play file A.MP3
	UART_CHAR_SEND(13); // CR
	
	LCD03_SET_CURSOR(1);
	char String[20] = "Playing File A.MP3";
	LCD_WRITE_STRING(String);
	while(1)
	{
	}

}